/**
 * \file fonction1.c
 * \brief Fonction de codage de contexte de l'information
 * \auteurs LAVERGNE Rémi ; DELINAC Inès ; RAYNAUD Camille
 * \date 12 janvier 2024
*/

#include "specification1.h"

/**
* \brief                                Rechercher dans la liste des devis
* \param[in,out]   typeTravaux          tableau des types de travaux
* \struct[out]      *offre               pointeur des offres
* \param[in]       tLog
* \return          offre[i].ldevis      Retourne l'offre dans le devis      
*/

//? ListeDevis ou ListeDevis* ?
ListeDevis rechListeDevis(char typeTravaux[], Offre *offre, int tLog)
{
    for(int i=0; i<tLog; i++)
        if(strcmp(offre[i].travaux,typeTravaux) == 0)
            return offre[i].ldevis;
    return NULL; //! Temporaire
}

//~~~~~~~~~~~~PARTIE 1~~~~~~~~~~~~


/**
* \brief 			Afficher l'ensemble des devis pour un type de travaux
* \struct[out] 	*l  pointeur sur le maillonDevis
*/
void Affiche(ListeDevis l)
{
            printf("#######################################################################\n");
            //printf("Devis n°%d\n",???);
            printf("Nom de l'entreprise : %s\n",l->devis.entreprise);
            printf("Durée du devis : %d\n", l->devis.duree);
            printf("Montant du devis : %d\n",l->devis.cout);
            printf("######################################################################\n");
}

/**
* \brief 			Afficher l'ensemble des devis pour un type de travaux
* \struct[out] 	*l  pointeur sur le maillonDevis
*/
void AfficheDevis(ListeDevis l)
{
    if(l == NULL)
    {
        printf("Liste vide.\n");
    }
    else
    {
        while(l != NULL)
        {
            Affiche(l);
            l = l->suiv;
        }
    }
}

/**
* \brief 			    Afficher le devis d'une entreprise donnée pour un type de travaux donnée
* \struct[out] 	*l      pointeur sur le maillonDevis
* \param[in]    entr    nom de l'entreprise
*/

void AfficheDevisE(ListeDevis l, char entr[])
{
    if(l == NULL)
    {
        printf("Liste vide.\n");
    }
    else
    {
        while(l != NULL)
        {
            if(strcmp(l->devis.entreprise, entr) == 0)
            {
                Affiche(l);
            }
            l = l->suiv;
        }
    }
}